unit RRFGridDT;
  (* Design-time portion of RRFGrid, now just a register procedure *)

  interface
    procedure Register;

  implementation
    uses
      Classes    (* RegisterComponents *),
      DesignIntf (* RegisterPropertyInCategory *),
      RRFGrid    (* tRRFDBGrid *);

    procedure Register;
      (* Install into palette *)

      begin (* Register *)
        RegisterComponents('RRF', [tRRFDBGrid]);
        RegisterPropertyInCategory('RRF', tRRFDBGrid, 'NonSortTitleColor');
        RegisterPropertyInCategory('RRF', tRRFDBGrid, 'SortOptions');
        RegisterPropertyInCategory('RRF', tRRFDBGrid, 'SortTitleColor')
      end   (* Register *);

end.

